Subject: Re: continuous archiving with HDF

From: Claude Saunders <[email-masked]>
Date: Mon, 07 Oct 1996 10:36:18 -0500

> 
> Au contraire! We use HDF 4.0 to append acquired data (ultrasound
> data, to be precise) to a file. It even works with several channels
> opened at the same time.
> While the old DF interface for SDSs did not provide for appending,
> the newer SD interface does. You can keep one dimension of each
> data set open, using the SD_UNLIMITED specifier. Works quite well.
> 
> Andreas Schumm
> Electricite de France

True! But my point was different. I need the ability to read
>from an HDF file WHILE it is currently being appended to by
some other tool. In other words, the HDF interface has to 
support simultaneous producer and consumer clients. Presumably,
in your case, you cannot plot or otherwise analyze your data
until you have completed collecting all of it, and have closed
the file.

I don't see anything in the interface that supports any
finer level of control than "open" and "close". The data
(and updated offsets, etc) are not flushed to the file until 
a complete file close is done. The interface needs to support
some form of explicit buffer management, and file locking.

Thank you for responding!